Generation Framework

## org.eclipse.gmf.mappings
Interface LabelMapping

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  LabelMappingImpl

public interface LabelMapping
extends EObject

A representation of the model object 'Label Mapping'. Label on diagram; either features or text should be specified

The following features are supported:

- `Diagram Label`
- `Features`
- `Read Only`
- `View Pattern`
- `Edit Pattern`
- `Map Entry`

See Also:
  `GMFMapPackage.getLabelMapping()`
** Generated **
Model:

Method Summary
`DiagramLabel` `getDiagramLabel()` Returns the value of the 'Diagram Label' reference
`java.lang.String` `getEditPattern()` Returns the value of the 'Edit Pattern' attribute
`EList` `getFeatures()` Returns the value of the 'Features' reference list.
`MappingEntry` `getMapEntry()` Returns the value of the 'Map Entry' container reference.
`java.lang.String` `getViewPattern()` Returns the value of the 'View Pattern' attribute
`boolean` `isReadOnly()` Returns the value of the 'Read Only' attribute
`void` `setDiagramLabel(DiagramLabel value)` Sets the value of the '`Diagram Label`' reference
`void` `setEditPattern(java.lang.String value)` Sets the value of the '`Edit Pattern`' attribute
`void` `setReadOnly(boolean value)` Sets the value of the '`Read Only`' attribute
`void` `setViewPattern(java.lang.String value)` Sets the value of the '`View Pattern`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDiagramLabel

    public DiagramLabel getDiagramLabel()

  Returns the value of the 'Diagram Label' reference.

  If the meaning of the 'Diagram Label' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Diagram Label' reference.
  See Also:
    `LabelMapping.setDiagramLabel(DiagramLabel)`, `GMFMapPackage.getLabelMapping_DiagramLabel()`
  ** Generated **
  Model:
    required="true"

### setDiagramLabel

    public void setDiagramLabel(DiagramLabel value)

  Sets the value of the '`Diagram Label`' reference.

  Parameters:
    `value` - the new value of the 'Diagram Label' reference.
  See Also:
    `LabelMapping.getDiagramLabel()`
  ** Generated **

### getFeatures

    public EList getFeatures()

  Returns the value of the 'Features' reference list. The list contents are of type `EAttribute`.

  If the meaning of the 'Features' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Features' reference list.
  See Also:
    `GMFMapPackage.getLabelMapping_Features()`
  ** Generated **
  Model:
    type="org.eclipse.emf.ecore.EAttribute" annotation="http://www.eclipse.org/gmf/2005/constraints ocl='features->forAll(f | f.eContainingClass.isSuperTypeOf(mapEntry.domainMetaElement))' description='Label attributes must be available in \'Domain Element\' EClass of the labeled mapping entry'"

### isReadOnly

    public boolean isReadOnly()

  Returns the value of the 'Read Only' attribute.

  If the meaning of the 'Read Only' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Read Only' attribute.
  See Also:
    `LabelMapping.setReadOnly(boolean)`, `GMFMapPackage.getLabelMapping_ReadOnly()`
  ** Generated **
  Model:

### setReadOnly

    public void setReadOnly(boolean value)

  Sets the value of the '`Read Only`' attribute.

  Parameters:
    `value` - the new value of the 'Read Only' attribute.
  See Also:
    `LabelMapping.isReadOnly()`
  ** Generated **

### getViewPattern

    public java.lang.String getViewPattern()

  Returns the value of the 'View Pattern' attribute. Pattern for java.text.MessageFormat to produce label on diagram

  Returns:
    the value of the 'View Pattern' attribute.
  See Also:
    `LabelMapping.setViewPattern(String)`, `GMFMapPackage.getLabelMapping_ViewPattern()`
  ** Generated **
  Model:

### setViewPattern

    public void setViewPattern(java.lang.String value)

  Sets the value of the '`View Pattern`' attribute.

  Parameters:
    `value` - the new value of the 'View Pattern' attribute.
  See Also:
    `LabelMapping.getViewPattern()`
  ** Generated **

### getEditPattern

    public java.lang.String getEditPattern()

  Returns the value of the 'Edit Pattern' attribute. Pattern for java.text.MessageFormat to produce text for inplace editor; if not specified then viewPattern should be used

  Returns:
    the value of the 'Edit Pattern' attribute.
  See Also:
    `LabelMapping.setEditPattern(String)`, `GMFMapPackage.getLabelMapping_EditPattern()`
  ** Generated **
  Model:

### setEditPattern

    public void setEditPattern(java.lang.String value)

  Sets the value of the '`Edit Pattern`' attribute.

  Parameters:
    `value` - the new value of the 'Edit Pattern' attribute.
  See Also:
    `LabelMapping.getEditPattern()`
  ** Generated **

### getMapEntry

    public MappingEntry getMapEntry()

  Returns the value of the 'Map Entry' container reference. It is bidirectional and its opposite is '`Label Mappings`'.

  If the meaning of the 'Map Entry' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Map Entry' container reference.
  See Also:
    `GMFMapPackage.getLabelMapping_MapEntry()`, `MappingEntry.getLabelMappings()`
  ** Generated **
  Model:
    opposite="labelMappings" required="true" changeable="false"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.